List items in a disbursement batch
Returns all line items (individual settlement payouts) within a disbursement batch.
Returns all line items (individual settlement payouts) within a disbursement batch.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
page?integer
limit?integer
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/recon/v1/disbursement-batches/497f6eca-6276-4993-bfeb-53cbbbba6f08/items"{
"total": 1,
"page": 1,
"limit": 25,
"total_pages": 1,
"items": [
{
"id": "01900000-0000-7000-8000-000000000091",
"batch_id": "01900000-0000-7000-8000-000000000090",
"settlement_id": "01900000-0000-7000-8000-000000000020",
"merchant_id": "01900000-0000-7000-8000-000000000002",
"merchant_name": "Acme Retail",
"bank_code": "014",
"bank_account_no": "1234567890",
"amount": 985000,
"gross_idr": 100000000,
"fee_idr": 1500000,
"refund_idr": 0,
"net_idr": 98500000,
"status": "pending",
"created_at": "2026-06-03T08:00:00Z"
}
]
}{
"error": "unauthorized",
"message": "Bearer token is missing or invalid",
"request_id": "01900000-0000-7000-8000-000000000001"
}{
"error": "not_found",
"message": "The requested resource was not found",
"request_id": "01900000-0000-7000-8000-000000000001"
}Was this page helpful?